#ifndef IOCTL_H
#define IOCTL_H
/*****************************************************************************
 *
 * INTEL CORPORATION PROPRIETARY INFORMATION
 * This software is supplied under the terms of a license agreement
 * or non-disclosure agreement with Intel Corporation and may not be
 * copied nor disclosed except in accordance with the terms of that
 * agreement.
 * Copyright  2000-2003 Intel Corporation. All Rights Reserved.
 * 
*****************************************************************************/

#ifndef IOCTLCODES_H
# include "ioctlcodes.h"
#endif

 /*
 *  Commands for AFEioctl
 */
typedef enum {
    AFE_ALLOCATE_BUFFERS    = IOC_ALLOCATE_BUFFERS,
    AFE_FREE_BUFFERS        = IOC_FREE_BUFFERS,
    AFE_GET_TXBUF_ADDR      = IOC_GET_TXBUF_ADDR,
    AFE_GET_RXBUF_ADDR      = IOC_GET_RXBUF_ADDR,
    AFE_SET_TXBUF_DATA      = IOC_SET_TXBUF_DATA,
    AFE_GET_RXBUF_DATA      = IOC_GET_RXBUF_DATA,
    AFE_GET_8BIT_REG        = IOC_GET_AFE_8BIT_REG,
    AFE_SET_8BIT_REG        = IOC_SET_AFE_8BIT_REG,
    AFE_GET_32BIT_REG       = IOC_GET_AFE_32BIT_REG,
    AFE_SET_32BIT_REG       = IOC_SET_AFE_32BIT_REG,
    AFE_GET_8BIT_MEM        = IOC_GET_AFE_8BIT_MEM,
    AFE_SET_8BIT_MEM        = IOC_SET_AFE_8BIT_MEM,
    AFE_GET_32BIT_MEM       = IOC_GET_AFE_32BIT_MEM,
    AFE_SET_32BIT_MEM       = IOC_SET_AFE_32BIT_MEM,
    AFE_GET_CONFIG_DATA     = IOC_GET_AFE_CONFIG_DATA,
    AFE_SET_CONFIG_DATA     = IOC_SET_AFE_CONFIG_DATA
} AFEcommand;

/*
 *  AFEresult represent result last operation
 */
typedef enum {
    AFE_OK                      =0,     /* ALL OK                            */
    AFE_BAD_SRATE               =-1,    /* User set bad sampling rate value  */
    AFE_SET_SRATE_NOT_EXACTLY   =-2,    /* AFE set sampling rate but not in
                                        value required for user              */
    AFE_BAD_DMABUF              =-3,    /* size of DMA buffer not correct    */
    AFE_BAD_COMMAND             =-4,    /* Last command wasn't recognise     */
    AFE_WRONG_ARG_SIZE          =-5,    /* Argument was wrong                */
    AFE_CANT_PERFORM            =-6,    /* AFE can't perform last operation  */
    AFE_SET_GAIN_NOT_EXACTLY    =-7,    /* AFE could not perform set up transmit
                                        or receive gain level exactly.       */
    AFE_NOT_IMPLEMENTED         =-8,    /* AFE can't perform your system call
                                        because this feature not implemented yet. */
    AFE_NO_DIALTONE             =-9,    /* AFE doesn't connect to line.      */
    AFE_BAD_ARGUMENT            =-10,   /* bad input argument                */

    AFE_NOSOFTSP                =-12,   /*Not in soft buzzer mode            */
    AFE_BAD_RENDER              =-13,   /*Some render operations failed      */
    AFE_BAD_CAPTURE             =-14,   /*Some capture operations failed     */
    AFE_SETPARAM_ERR            =-15,   /*Error of setting up audio param    */
    AFE_NEEDREPEAT              =-16,
    AFE_NOKSAEC                 =-17,   /*KS AEC is not running              */

    AFE_UNKNOWN_ERROR           =-999,  /* unknown error                     */
    AFE_SYSTEM_ERROR            =-1000  /* system error                      */
} AFEresult;

#endif
